/**
 * BeendenAction.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.model.LangBeschriftung;

/**
 * Der Action beenden beendet den {@link Kostenrechner} über den
 * {@link BeendenHorcher}. {@link KeyEvent#VK_E}
 *
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class BeendenAction extends BeschriebeneAktion {
	private static final long serialVersionUID = -2268718567794925181L;

	/**
	 * Konstruktor.
	 * 
	 * @param mnemonic         {@link Action#MNEMONIC_KEY}
	 */
	public BeendenAction(LangBeschriftung beschriftung) {
		super(beschriftung);
	}
	//String name, String shortDescription, , String actionCommandKey, int mnemonic
	//name, shortDescription, , actionCommandKey, mnemonic

	@Override
	public void actionPerformed(ActionEvent e) {
		BeendenHorcher.beendeKostenrechner();
	}
}